Cisco NX-OS Directory Traversal Vulnerability

2013-12-19T21:23:12
ID CISCO-SA-20131219-CVE-2012-4135
Type cisco
Reporter Cisco
Modified 2013-12-19T21:23:06

Description

A vulnerability in the Command Line Interface (CLI) of the Cisco NX-OS Software could allow an authenticated, local attacker to delete arbitrary files on the device.

The vulnerability is due to improper filtering of user input. An attacker could exploit this vulnerability by leveraging the filesys delete command to perform a directory traversal attack. An exploit could allow the attacker to delete arbitrary files on an affected device.

Cisco has confirmed the vulnerability in a security notice; however, software updates are not available.

To exploit this vulnerability, an attacker must have local access to the targeted device. This access requirement decreases the likelihood of a successful exploit.

Cisco indicates through the CVSS score that functional exploit code exists; however, the code is not known to be publicly available.